ruby-mysql-2.7.4-2.el5.x86_64.rpm


Advertisement

Description

ruby-mysql - A Ruby interface to MySQL

Property Value
Distribution CentOS 5
Repository PUIAS Unsupported x86_64
Package name ruby-mysql
Package version 2.7.4
Package release 2.el5
Package architecture x86_64
Package type rpm
Installed size 128.14 KB
Download size 46.81 KB
Official Mirror springdale.math.ias.edu
This is the MySQL API module for Ruby. It provides the same functions for
Ruby programs that the MySQL C API provides for C programs.

Alternatives

Package Version Architecture Repository
ruby-mysql-2.7.3-1.el5.i386.rpm 2.7.3 i386 EPEL
ruby-mysql-2.7.3-1.el5.x86_64.rpm 2.7.3 x86_64 EPEL
ruby-mysql - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libcrypt.so.1()(64bit) -
libcrypto.so.6()(64bit) -
libdl.so.2()(64bit) -
libm.so.6()(64bit) -
libmysqlclient.so.15()(64bit) -
libmysqlclient.so.15(libmysqlclient_15)(64bit) -
libnsl.so.1()(64bit) -
libpthread.so.0()(64bit) -
libruby.so.1.8()(64bit) -
libssl.so.6()(64bit) -
libz.so.1()(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
mysql.so()(64bit) -
ruby-mysql = 2.7.4-2.el5

Download

Type URL
Binary Package ruby-mysql-2.7.4-2.el5.x86_64.rpm
Source Package ruby-mysql-2.7.4-2.el5.src.rpm

Install Howto

  1. Create the repository config file /etc/yum.repos.d/puias-unsupported.repo:
    [puias-unsupported]
    name=PUIAS Unsupported
    baseurl=http://springdale.math.ias.edu/data/puias/unsupported/5/x86_64/
    enabled=1
    gpgcheck=0
    
  2. Install ruby-mysql rpm package:
    # yum install ruby-mysql

Files

Path
/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/mysql.so
/usr/share/doc/ruby-mysql-2.7.4/COPYING
/usr/share/doc/ruby-mysql-2.7.4/COPYING.ja
/usr/share/doc/ruby-mysql-2.7.4/README.html
/usr/share/doc/ruby-mysql-2.7.4/README_ja.html
/usr/share/doc/ruby-mysql-2.7.4/tommy.css

Changelog

2006-10-03 - Orion Poplawski <orion@cora.nwra.com> - 2.7.1-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21
2006-09-20 - Orion Poplawski <orion@cora.nwra.com> - 2.7.1-1
- Update to 2.7.1
2006-02-28 - Oliver Andrich <oliver.andrich@gmail.com> - 2.7-8
- changed the license to Distributable based on Bug #179933
2006-02-04 - Oliver Andrich <oliver.andrich@gmail.com> - 2.7-6
- fixed the build problems in x86_64
2006-02-03 - Oliver Andrich <oliver.andrich@gmail.com> - 2.7-5
- included the license documents COPYING and COPYING.ja
- fixed the license: Distributable -> GPL
2006-01-22 - Oliver Andrich <oliver.andrich@gmail.com> - 2.7-4
- fixed changelog (next try)
- moved the package to the suggested group Development/Languages
- added -j16 to the make call in the build phase
- the summary duplication in the description was removed
2006-01-22 - Oliver Andrich <oliver.andrich@gmail.com> - 2.7-3
- added documentation
- fixed changelog
2006-01-22 - Oliver Andrich <oliver.andrich@gmail.com> - 2.7-1
- First build

See Also

Package Description
ruby-rpm-1.2.3-1.PU_IAS.5.x86_64.rpm Ruby bindings for RPM
ruby-shadow-1.4.1-8.PU_IAS.5.x86_64.rpm Ruby bindings for shadow password access
rubygem-actionmailer-2.1.1-1.el5.noarch.rpm Service layer for easy email delivery and testing
rubygem-actionpack-2.1.1-2.el5.noarch.rpm Web-flow and rendering framework putting the VC in MVC
rubygem-activeldap-1.0.1-1.el5.noarch.rpm Ruby/ActiveLdap is a object-oriented API to LDAP
rubygem-activerecord-2.1.1-2.el5.noarch.rpm Implements the ActiveRecord pattern for ORM
rubygem-activeresource-2.1.1-1.el5.noarch.rpm Active Record for web resources
rubygem-activesupport-2.1.1-1.el5.noarch.rpm Support and utility classes used by the Rails framework
rubygem-daemons-1.0.7-2.PU_IAS.5.noarch.rpm A toolkit to create and control daemons in different ways
rubygem-fastthread-1.0.1-1.PU_IAS.5.x86_64.rpm Optimized replacement for thread.rb primitives
rubygem-gem_plugin-0.2.2-2.PU_IAS.5.noarch.rpm A plugin system based only on rubygems that uses dependencies only
rubygem-mongrel-1.0.1-6.PU_IAS.5.x86_64.rpm A small fast HTTP library and server for Ruby apps
rubygem-rails-2.1.1-2.el5.noarch.rpm Web-application framework
rubygem-rake-0.8.3-1.PU_IAS.5.noarch.rpm Ruby based make-like utility
rubygems-1.3.1-1.el5.noarch.rpm The Ruby standard for packaging ruby libraries
Advertisement
Advertisement